Subject: Re: [PATCH kernel] powerpc/powernv/ioda2: Add devices only from buses which belong to PE

From: Alexey Kardashevskiy <[email-masked]>
Date: Sat, 13 Jun 2015 02:47:56 +1000

On 06/13/2015 01:06 AM, Nishanth Aravamudan wrote:
> On 12.06.2015 [16:47:03 +1000], Gavin Shan wrote:
>> On Fri, Jun 12, 2015 at 04:19:17PM +1000, Alexey Kardashevskiy wrote:
>>> The existing code puts all devices from a root PE to the same IOMMU group.
>>> However it is a possible situation when subordinate buses belong to
>>> separate PEs, in this case devices from these subordinate buses
>>> should be added to lower level PE rather to the root PE.
>>>
>>> This limits pnv_ioda_setup_bus_dma() invocation to only PEs which own
>>> all subordinate buses.
>>>
>>> Suggested-by: Gavin Shan <[email-masked]>
>>> Signed-off-by: Alexey Kardashevskiy <[email-masked]>
>>
>> Alexey, I think it's good candidate for stable.
>
> Why? This commit message doesn't imply there is a serious bug just a
> "possible" (does that mean theoretical?) situtation and the following:
>
>>> This would be nice to have together with the DDW patchset.
>>> This does not fix anything DDW patchset did, it fixes IOMMU
>>> groups management which is essential for the whole feature to work.
>
> implies it is both related and independent of DDW?

DDW is for fast devices and I just got my hands on a "firestone" machine 
(p8 + nvidia tesla = very fast machine) where this bug appeared first time.

-- 
Alexey